## helma.doc
Class DocRepositoryElement

    java.lang.Object
      helma.doc.DocElement
          helma.doc.DocRepositoryElement

    public abstract class DocRepositoryElement

extends DocElement

Field Summary
`static java.lang.String[]` `DOCFILES`
`protected Repository` `repos`

Fields inherited from class helma.doc.DocElement
`ACTION, APPLICATION, FUNCTION, MACRO, PROPERTIES, PROTOTYPE, SKIN, TEMPLATE, typeNames`

Constructor Summary
`protected` `DocRepositoryElement(java.lang.String name, Repository repos, int type)`

Method Summary
`Repository` `getRepository()`
`java.lang.String` `toString()` Get a string describing this element's location

Methods inherited from class helma.doc.DocElement
`addChild, addParameter, addTag, countChildren, debug, getChildElement, getChildren, getComment, getContent, getDocApplication, getElementName, getName, getParentElement, getPrototype, getType, getTypeName, hasParameter, listChildren, listParameters, listTags, listTags, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### repos

    protected Repository repos

### DOCFILES

    public static final java.lang.String[] DOCFILES

Constructor Detail

### DocRepositoryElement

    protected DocRepositoryElement(java.lang.String name,
                                   Repository repos,
                                   int type)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### toString

    public java.lang.String toString()

  Get a string describing this element's location

  Overrides:
    `toString` in class `DocElement`
  Returns:
    lstring representation of the element's repository

### getRepository

    public Repository getRepository()

  Returns:
    absolute path to location of element (directory for apps and prototypes, file for methods and properties files)

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.